Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -1955,59 +1945,59 @@
 			}
 
 				// Compile <option> tag:
-			$opt[] = '<option value="'.htmlspecialchars($p[1]).'"'.
+			$opt[] = '<option value="' . htmlspecialchars($p[1]) . '"' .
-						$sM.
+					 $sM .
-						$nonSel.
+					 $nonSel .
-						($styleAttrValue ? ' style="'.htmlspecialchars($styleAttrValue).'"' : '').
+					 ($styleAttrValue ? ' style="' . htmlspecialchars($styleAttrValue) . '"' : '') .
-						'>'.t3lib_div::deHSCentities(htmlspecialchars($p[0])).'</option>';
+					 '>' . t3lib_div::deHSCentities(htmlspecialchars($p[0])) . '</option>';
 			$c++;
 		}
 
 			// Remaining values:
-		if (count($itemArray) && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement'])	{
+		if (count($itemArray) && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement']) {
-			foreach($itemArray as $theNoMatchValue => $temp)	{
+			foreach ($itemArray as $theNoMatchValue => $temp) {
 					// Compile <option> tag:
-				array_unshift($opt,'<option value="'.htmlspecialchars($theNoMatchValue).'" selected="selected">'.t3lib_div::deHSCentities(htmlspecialchars(@sprintf($nMV_label, $theNoMatchValue))).'</option>');
+				array_unshift($opt, '<option value="' . htmlspecialchars($theNoMatchValue) . '" selected="selected">' . t3lib_div::deHSCentities(htmlspecialchars(@sprintf($nMV_label, $theNoMatchValue))) . '</option>');
 			}
 		}
 
 			// Compile selector box:
-		$sOnChange = implode('',$PA['fieldChangeFunc']);
+		$sOnChange = implode('', $PA['fieldChangeFunc']);
-		$selector_itemListStyle = isset($config['itemListStyle']) ? ' style="'.htmlspecialchars($config['itemListStyle']).'"' : ' style="'.$this->defaultMultipleSelectorStyle.'"';
+		$selector_itemListStyle = isset($config['itemListStyle']) ? ' style="' . htmlspecialchars($config['itemListStyle']) . '"' : ' style="' . $this->defaultMultipleSelectorStyle . '"';
 		$size = intval($config['size']);
-		$size = $config['autoSizeMax'] ? t3lib_div::intInRange(count($selItems)+1,t3lib_div::intInRange($size,1),$config['autoSizeMax']) : $size;
+		$size = $config['autoSizeMax'] ? t3lib_div::intInRange(count($selItems) + 1, t3lib_div::intInRange($size, 1), $config['autoSizeMax']) : $size;
-		$selectBox = '<select id="' . uniqid('tceforms-multiselect-') . '" name="'.$PA['itemFormElName'].'[]"'.
+		$selectBox = '<select id="' . uniqid('tceforms-multiselect-') . '" name="' . $PA['itemFormElName'] . '[]"' .
-						$this->insertDefStyle('select', 'tceforms-multiselect').
+					 $this->insertDefStyle('select', 'tceforms-multiselect') .
-						($size ? ' size="'.$size.'"' : '').
+					 ($size ? ' size="' . $size . '"' : '') .
-						' multiple="multiple" onchange="'.htmlspecialchars($sOnChange).'"'.
+					 ' multiple="multiple" onchange="' . htmlspecialchars($sOnChange) . '"' .
-						$PA['onFocus'].
+					 $PA['onFocus'] .
-						$selector_itemListStyle.
+					 $selector_itemListStyle .
-						$disabled.'>
+					 $disabled . '>
-						'.
+						' .
-					implode('
+					 implode('
-						',$opt).'
+						', $opt) . '
 					</select>';
 
 			// Add an empty hidden field which will send a blank value if all items are unselected.
 		if (!$disabled) {
-			$item.='<input type="hidden" name="'.htmlspecialchars($PA['itemFormElName']).'" value="" />';
+			$item .= '<input type="hidden" name="' . htmlspecialchars($PA['itemFormElName']) . '" value="" />';
 		}
 
 			// Put it all into a table:
-		$item.= '
+		$item .= '
 			<table border="0" cellspacing="0" cellpadding="0" width="1" class="typo3-TCEforms-select-singlebox">
 				<tr>
 					<td>
-					'.$selectBox.'
+					' . $selectBox . '
 					<br/>
-					<em>'.
+					<em>' .
-						htmlspecialchars($this->getLL('l_holdDownCTRL')).
+				 htmlspecialchars($this->getLL('l_holdDownCTRL')) .
-						'</em>
+				 '</em>
 					</td>
 					<td valign="top">
-					  <a href="#" onclick="'.htmlspecialchars($this->elName($PA['itemFormElName'].'[]').'.selectedIndex=-1;'.implode('',$restoreCmd).' return false;').'" title="' . htmlspecialchars($this->getLL('l_revertSelection')) . '">' .
+					  <a href="#" onclick="' . htmlspecialchars($this->elName($PA['itemFormElName'] . '[]') . '.selectedIndex=-1;' . implode('', $restoreCmd) . ' return false;') . '" title="' . htmlspecialchars($this->getLL('l_revertSelection')) . '">' .
-					    t3lib_iconWorks::getSpriteIcon('actions-edit-undo') .
-					 '</a>
+				 t3lib_iconWorks::getSpriteIcon('actions-edit-undo') .
+				 '</a>
 					</td>
 				</tr>
 			</table>
@@ -2030,28 +2020,30 @@
 	 * @return	string		The HTML code for the item
 	 * @see getSingleField_typeSelect()
 	 */
-	function getSingleField_typeSelect_multiple($table,$field,$row,&$PA,$config,$selItems,$nMV_label)	{
+	function getSingleField_typeSelect_multiple($table, $field, $row, &$PA, $config, $selItems, $nMV_label) {
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
 			// Setting this hidden field (as a flag that JavaScript can read out)
 		if (!$disabled) {
-			$item.= '<input type="hidden" name="'.$PA['itemFormElName'].'_mul" value="'.($config['multiple']?1:0).'" />';
+			$item .= '<input type="hidden" name="' . $PA['itemFormElName'] . '_mul" value="' . ($config['multiple'] ? 1 : 0) . '" />';
 		}
 
 			// Set max and min items:
-		$maxitems = t3lib_div::intInRange($config['maxitems'],0);
+		$maxitems = t3lib_div::intInRange($config['maxitems'], 0);
-		if (!$maxitems)	$maxitems=100000;
+		if (!$maxitems) {
+			$maxitems = 100000;
+		}
-		$minitems = t3lib_div::intInRange($config['minitems'],0);
+		$minitems = t3lib_div::intInRange($config['minitems'], 0);
 
 			// Register the required number of elements:
-		$this->registerRequiredProperty('range', $PA['itemFormElName'], array($minitems,$maxitems,'imgName'=>$table.'_'.$row['uid'].'_'.$field));
+		$this->registerRequiredProperty('range', $PA['itemFormElName'], array($minitems, $maxitems, 'imgName' => $table . '_' . $row['uid'] . '_' . $field));
 
 			// Get "removeItems":
-		$removeItems = t3lib_div::trimExplode(',',$PA['fieldTSConfig']['removeItems'],1);
+		$removeItems = t3lib_div::trimExplode(',', $PA['fieldTSConfig']['removeItems'], 1);
 
 			// Get the array with selected items:
 		$itemArray = t3lib_div::trimExplode(',', $PA['itemFormElValue'], 1);
@@ -2061,11 +2053,11 @@
 		$itemArray = t3lib_div::keepItemsInArray($itemArray, $PA['fieldTSConfig']['keepItems'], $keepItemsFunc);
 
 			// Perform modification of the selected items array:
-		foreach($itemArray as $tk => $tv) {
+		foreach ($itemArray as $tk => $tv) {
-			$tvP = explode('|',$tv,2);
+			$tvP = explode('|', $tv, 2);
 			$evalValue = $tvP[0];
-			$isRemoved = in_array($evalValue,$removeItems)  || ($config['form_type']=='select' && $config['authMode'] && !$GLOBALS['BE_USER']->checkAuthMode($table,$field,$evalValue,$config['authMode']));
+			$isRemoved = in_array($evalValue, $removeItems) || ($config['form_type'] == 'select' && $config['authMode'] && !$GLOBALS['BE_USER']->checkAuthMode($table, $field, $evalValue, $config['authMode']));
-			if ($isRemoved && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement'])	{
+			if ($isRemoved && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement']) {
 				$tvP[1] = rawurlencode(@sprintf($nMV_label, $evalValue));
 			} elseif (isset($PA['fieldTSConfig']['altLabels.'][$evalValue])) {
 				$tvP[1] = rawurlencode($this->sL($PA['fieldTSConfig']['altLabels.'][$evalValue]));
@@ -2079,62 +2071,62 @@
 					}
 				}
 			}
-			$itemArray[$tk] = implode('|',$tvP);
+			$itemArray[$tk] = implode('|', $tvP);
 		}
 		$itemsToSelect = '';
 
-		if(!$disabled) {
+		if (!$disabled) {
 				// Create option tags:
 			$opt = array();
 			$styleAttrValue = '';
-			foreach($selItems as $p)	{
+			foreach ($selItems as $p) {
-				if ($config['iconsInOptionTags'])	{
+				if ($config['iconsInOptionTags']) {
 					$styleAttrValue = $this->optionTagStyle($p[2]);
 				}
-				$opt[]= '<option value="'.htmlspecialchars($p[1]).'"'.
+				$opt[] = '<option value="' . htmlspecialchars($p[1]) . '"' .
-								($styleAttrValue ? ' style="'.htmlspecialchars($styleAttrValue).'"' : '').
+						 ($styleAttrValue ? ' style="' . htmlspecialchars($styleAttrValue) . '"' : '') .
-								'>' . $p[0] . '</option>';
+						 '>' . $p[0] . '</option>';
 			}
 
 				// Put together the selector box:
-			$selector_itemListStyle = isset($config['itemListStyle']) ? ' style="'.htmlspecialchars($config['itemListStyle']).'"' : ' style="'.$this->defaultMultipleSelectorStyle.'"';
+			$selector_itemListStyle = isset($config['itemListStyle']) ? ' style="' . htmlspecialchars($config['itemListStyle']) . '"' : ' style="' . $this->defaultMultipleSelectorStyle . '"';
 			$size = intval($config['size']);
-			$size = $config['autoSizeMax'] ? t3lib_div::intInRange(count($itemArray)+1,t3lib_div::intInRange($size,1),$config['autoSizeMax']) : $size;
+			$size = $config['autoSizeMax'] ? t3lib_div::intInRange(count($itemArray) + 1, t3lib_div::intInRange($size, 1), $config['autoSizeMax']) : $size;
-			if ($config['exclusiveKeys'])	{
+			if ($config['exclusiveKeys']) {
-				$sOnChange = 'setFormValueFromBrowseWin(\''.$PA['itemFormElName'].'\',this.options[this.selectedIndex].value,this.options[this.selectedIndex].text,\''.$config['exclusiveKeys'].'\'); ';
+				$sOnChange = 'setFormValueFromBrowseWin(\'' . $PA['itemFormElName'] . '\',this.options[this.selectedIndex].value,this.options[this.selectedIndex].text,\'' . $config['exclusiveKeys'] . '\'); ';
 			} else {
-				$sOnChange = 'setFormValueFromBrowseWin(\''.$PA['itemFormElName'].'\',this.options[this.selectedIndex].value,this.options[this.selectedIndex].text); ';
+				$sOnChange = 'setFormValueFromBrowseWin(\'' . $PA['itemFormElName'] . '\',this.options[this.selectedIndex].value,this.options[this.selectedIndex].text); ';
 			}
-			$sOnChange .= implode('',$PA['fieldChangeFunc']);
+			$sOnChange .= implode('', $PA['fieldChangeFunc']);
 			$itemsToSelect = '
-				<select id="' . uniqid('tceforms-multiselect-') . '" name="'.$PA['itemFormElName'].'_sel"'.
+				<select id="' . uniqid('tceforms-multiselect-') . '" name="' . $PA['itemFormElName'] . '_sel"' .
-							$this->insertDefStyle('select', 'tceforms-multiselect tceforms-itemstoselect').
+							 $this->insertDefStyle('select', 'tceforms-multiselect tceforms-itemstoselect') .
-							($size ? ' size="'.$size.'"' : '').
+							 ($size ? ' size="' . $size . '"' : '') .
-							' onchange="'.htmlspecialchars($sOnChange).'"'.
+							 ' onchange="' . htmlspecialchars($sOnChange) . '"' .
-							$PA['onFocus'].
+							 $PA['onFocus'] .
-							$selector_itemListStyle.'>
+							 $selector_itemListStyle . '>
-					'.implode('
+					' . implode('
-					',$opt).'
+					', $opt) . '
 				</select>';
 		}
 
 			// Pass to "dbFileIcons" function:
 		$params = array(
 			'size' => $size,
-			'autoSizeMax' => t3lib_div::intInRange($config['autoSizeMax'],0),
+			'autoSizeMax' => t3lib_div::intInRange($config['autoSizeMax'], 0),
-			'style' => isset($config['selectedListStyle']) ? ' style="'.htmlspecialchars($config['selectedListStyle']).'"' : ' style="'.$this->defaultMultipleSelectorStyle.'"',
+			'style' => isset($config['selectedListStyle']) ? ' style="' . htmlspecialchars($config['selectedListStyle']) . '"' : ' style="' . $this->defaultMultipleSelectorStyle . '"',
-			'dontShowMoveIcons' => ($maxitems<=1),
+			'dontShowMoveIcons' => ($maxitems <= 1),
 			'maxitems' => $maxitems,
 			'info' => '',
 			'headers' => array(
-				'selector' => $this->getLL('l_selected').':<br />',
+				'selector' => $this->getLL('l_selected') . ':<br />',
-				'items' => $this->getLL('l_items').':<br />'
+				'items' => $this->getLL('l_items') . ':<br />'
 			),
 			'noBrowser' => 1,
 			'thumbnails' => $itemsToSelect,
 			'readOnly' => $disabled
 		);
-		$item.= $this->dbFileIcons($PA['itemFormElName'],'','',$itemArray,'',$params,$PA['onFocus']);
+		$item .= $this->dbFileIcons($PA['itemFormElName'], '', '', $itemArray, '', $params, $PA['onFocus']);
 
 		return $item;
 	}
@@ -2149,63 +2141,69 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeGroup($table,$field,$row,&$PA)	{
+	function getSingleField_typeGroup($table, $field, $row, &$PA) {
 			// Init:
 		$config = $PA['fieldConf']['config'];
 		$internal_type = $config['internal_type'];
 		$show_thumbs = $config['show_thumbs'];
 		$size = intval($config['size']);
-		$maxitems = t3lib_div::intInRange($config['maxitems'],0);
+		$maxitems = t3lib_div::intInRange($config['maxitems'], 0);
-		if (!$maxitems)	$maxitems=100000;
+		if (!$maxitems) {
+			$maxitems = 100000;
+		}
-		$minitems = t3lib_div::intInRange($config['minitems'],0);
+		$minitems = t3lib_div::intInRange($config['minitems'], 0);
 		$allowed = trim($config['allowed']);
 		$disallowed = trim($config['disallowed']);
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
-		$item.= '<input type="hidden" name="'.$PA['itemFormElName'].'_mul" value="'.($config['multiple']?1:0).'"'.$disabled.' />';
+		$item .= '<input type="hidden" name="' . $PA['itemFormElName'] . '_mul" value="' . ($config['multiple'] ? 1 : 0) . '"' . $disabled . ' />';
-		$this->registerRequiredProperty('range', $PA['itemFormElName'], array($minitems,$maxitems,'imgName'=>$table.'_'.$row['uid'].'_'.$field));
+		$this->registerRequiredProperty('range', $PA['itemFormElName'], array($minitems, $maxitems, 'imgName' => $table . '_' . $row['uid'] . '_' . $field));
-		$info='';
+		$info = '';
 
 			// "Extra" configuration; Returns configuration for the field based on settings found in the "types" fieldlist. See http://typo3.org/documentation/document-library/doc_core_api/Wizards_Configuratio/.
 		$specConf = $this->getSpecConfFromString($PA['extra'], $PA['fieldConf']['defaultExtras']);
 
 			// Acting according to either "file" or "db" type:
-		switch((string)$config['internal_type'])	{
+		switch ((string) $config['internal_type']) {
 			case 'file_reference':
 				$config['uploadfolder'] = '';
 				// Fall through
-			case 'file':	// If the element is of the internal type "file":
+			case 'file': // If the element is of the internal type "file":
 
 					// Creating string showing allowed types:
-				$tempFT = t3lib_div::trimExplode(',',$allowed,1);
+				$tempFT = t3lib_div::trimExplode(',', $allowed, 1);
-				if (!count($tempFT))	{$info.='*';}
+				if (!count($tempFT)) {
+					$info .= '*';
+				}
-				foreach($tempFT as $ext)	{
+				foreach ($tempFT as $ext) {
-					if ($ext)	{
+					if ($ext) {
-						$info.=strtoupper($ext).' ';
+						$info .= strtoupper($ext) . ' ';
 					}
 				}
 					// Creating string, showing disallowed types:
-				$tempFT_dis = t3lib_div::trimExplode(',',$disallowed,1);
+				$tempFT_dis = t3lib_div::trimExplode(',', $disallowed, 1);
-				if (count($tempFT_dis))	{$info.='<br />';}
+				if (count($tempFT_dis)) {
+					$info .= '<br />';
+				}
-				foreach($tempFT_dis as $ext)	{
+				foreach ($tempFT_dis as $ext) {
-					if ($ext)	{
+					if ($ext) {
-						$info.='-'.strtoupper($ext).' ';
+						$info .= '-' . strtoupper($ext) . ' ';
 					}
 				}
 
 					// Making the array of file items:
-				$itemArray = t3lib_div::trimExplode(',',$PA['itemFormElValue'],1);
+				$itemArray = t3lib_div::trimExplode(',', $PA['itemFormElValue'], 1);
 
 					// Showing thumbnails:
 				$thumbsnail = '';
-				if ($show_thumbs)	{
+				if ($show_thumbs) {
 					$imgs = array();
-					foreach($itemArray as $imgRead)	{
+					foreach ($itemArray as $imgRead) {
-						$imgP = explode('|',$imgRead);
+						$imgP = explode('|', $imgRead);
 						$imgPath = rawurldecode($imgP[0]);
 
 						$rowCopy = array();
@@ -2218,48 +2216,48 @@
 						$fileIcon = t3lib_iconWorks::getSpriteIconForFile(
 							strtolower($fI['extension']),
 							array(
-								'title' => htmlspecialchars(
-									$fI['basename'] .
-									($absFilePath && @is_file($absFilePath)
-										? ' (' . t3lib_div::formatSize(filesize($absFilePath)) . 'bytes)' :
-										' - FILE NOT FOUND!'
-									)
-								)
+								 'title' => htmlspecialchars(
+									 $fI['basename'] .
+									 ($absFilePath && @is_file($absFilePath)
+											 ? ' (' . t3lib_div::formatSize(filesize($absFilePath)) . 'bytes)' :
+											 ' - FILE NOT FOUND!'
+									 )
+								 )
 							)
 						);
 
-						$imgs[] = '<span class="nobr">'.t3lib_BEfunc::thumbCode($rowCopy,$table,$field,$this->backPath,'thumbs.php',$config['uploadfolder'],0,' align="middle"').
+						$imgs[] = '<span class="nobr">' . t3lib_BEfunc::thumbCode($rowCopy, $table, $field, $this->backPath, 'thumbs.php', $config['uploadfolder'], 0, ' align="middle"') .
-									($absFilePath ? $this->getClickMenu($fileIcon, $absFilePath) : $fileIcon).
+								  ($absFilePath ? $this->getClickMenu($fileIcon, $absFilePath) : $fileIcon) .
-									$imgPath.
+								  $imgPath .
-									'</span>';
+								  '</span>';
 					}
-					$thumbsnail = implode('<br />',$imgs);
+					$thumbsnail = implode('<br />', $imgs);
 				}
 
 					// Creating the element:
 				$noList = isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'list');
 				$params = array(
 					'size' => $size,
-					'dontShowMoveIcons' => ($maxitems<=1),
+					'dontShowMoveIcons' => ($maxitems <= 1),
-					'autoSizeMax' => t3lib_div::intInRange($config['autoSizeMax'],0),
+					'autoSizeMax' => t3lib_div::intInRange($config['autoSizeMax'], 0),
 					'maxitems' => $maxitems,
-					'style' => isset($config['selectedListStyle']) ? ' style="'.htmlspecialchars($config['selectedListStyle']).'"' : ' style="'.$this->defaultMultipleSelectorStyle.'"',
+					'style' => isset($config['selectedListStyle']) ? ' style="' . htmlspecialchars($config['selectedListStyle']) . '"' : ' style="' . $this->defaultMultipleSelectorStyle . '"',
 					'info' => $info,
 					'thumbnails' => $thumbsnail,
 					'readOnly' => $disabled,
 					'noBrowser' => $noList || (isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'browser')),
 					'noList' => $noList,
 				);
-				$item.= $this->dbFileIcons($PA['itemFormElName'],'file',implode(',',$tempFT),$itemArray,'',$params,$PA['onFocus']);
+				$item .= $this->dbFileIcons($PA['itemFormElName'], 'file', implode(',', $tempFT), $itemArray, '', $params, $PA['onFocus']);
 
-				if(!$disabled && !(isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'upload'))) {
+				if (!$disabled && !(isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'upload'))) {
 						// Adding the upload field:
 					if ($this->edit_docModuleUpload && $config['uploadfolder']) {
 						$item .= '<input type="file" name="' . $PA['itemFormElName_file'] . '" size="35" onchange="' . implode('', $PA['fieldChangeFunc']) . '" />';
 					}
 				}
 			break;
-			case 'folder':	// If the element is of the internal type "folder":
+			case 'folder': // If the element is of the internal type "folder":
 
 					// array of folder items:
 				$itemArray = t3lib_div::trimExplode(',', $PA['itemFormElValue'], 1);
@@ -2267,20 +2265,20 @@
 					// Creating the element:
 				$noList = isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'list');
 				$params = array(
-					'size'              => $size,
+					'size' => $size,
 					'dontShowMoveIcons' => ($maxitems <= 1),
-					'autoSizeMax'       => t3lib_div::intInRange($config['autoSizeMax'], 0),
+					'autoSizeMax' => t3lib_div::intInRange($config['autoSizeMax'], 0),
-					'maxitems'          => $maxitems,
+					'maxitems' => $maxitems,
-					'style'             => isset($config['selectedListStyle']) ?
+					'style' => isset($config['selectedListStyle']) ?
-							' style="'.htmlspecialchars($config['selectedListStyle']).'"'
+							' style="' . htmlspecialchars($config['selectedListStyle']) . '"'
-						:	' style="'.$this->defaultMultipleSelectorStyle.'"',
+							: ' style="' . $this->defaultMultipleSelectorStyle . '"',
-					'info'              => $info,
+					'info' => $info,
-					'readOnly'          => $disabled,
+					'readOnly' => $disabled,
 					'noBrowser' => $noList || (isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'browser')),
 					'noList' => $noList,
 				);
 
-				$item.= $this->dbFileIcons(
+				$item .= $this->dbFileIcons(
 					$PA['itemFormElName'],
 					'folder',
 					'',
@@ -2290,22 +2288,22 @@
 					$PA['onFocus']
 				);
 			break;
-			case 'db':	// If the element is of the internal type "db":
+			case 'db': // If the element is of the internal type "db":
 
 					// Creating string showing allowed types:
-				$tempFT = t3lib_div::trimExplode(',', $allowed, true);
+				$tempFT = t3lib_div::trimExplode(',', $allowed, TRUE);
 				if (!strcmp(trim($tempFT[0]), '*')) {
 					$onlySingleTableAllowed = false;
-					$info.='<span class="nobr">&nbsp;&nbsp;&nbsp;&nbsp;'.
+					$info .= '<span class="nobr">&nbsp;&nbsp;&nbsp;&nbsp;' .
-							htmlspecialchars($this->getLL('l_allTables')).
+							 htmlspecialchars($this->getLL('l_allTables')) .
-							'</span><br />';
+							 '</span><br />';
 				} elseif ($tempFT) {
 					$onlySingleTableAllowed = (count($tempFT) == 1);
 					foreach ($tempFT as $theT) {
-						$info.= '<span class="nobr">&nbsp;&nbsp;&nbsp;&nbsp;' .
+						$info .= '<span class="nobr">&nbsp;&nbsp;&nbsp;&nbsp;' .
-								t3lib_iconWorks::getSpriteIconForRecord($theT, array()) .
-								htmlspecialchars($this->sL($GLOBALS['TCA'][$theT]['ctrl']['title'])) .
-								'</span><br />';
+								 t3lib_iconWorks::getSpriteIconForRecord($theT, array()) .
+								 htmlspecialchars($this->sL($GLOBALS['TCA'][$theT]['ctrl']['title'])) .
+								 '</span><br />';
 					}
 				}
 
@@ -2314,63 +2312,63 @@
 				$imgs = array();
 
 					// Thumbnails:
-				$temp_itemArray = t3lib_div::trimExplode(',',$PA['itemFormElValue'],1);
+				$temp_itemArray = t3lib_div::trimExplode(',', $PA['itemFormElValue'], 1);
-				foreach($temp_itemArray as $dbRead)	{
+				foreach ($temp_itemArray as $dbRead) {
-					$recordParts = explode('|',$dbRead);
+					$recordParts = explode('|', $dbRead);
-					list($this_table,$this_uid) = t3lib_BEfunc::splitTable_Uid($recordParts[0]);
+					list($this_table, $this_uid) = t3lib_BEfunc::splitTable_Uid($recordParts[0]);
-					// For the case that no table was found and only a single table is defined to be allowed, use that one:
+						// For the case that no table was found and only a single table is defined to be allowed, use that one:
 					if (!$this_table && $onlySingleTableAllowed) {
 						$this_table = $allowed;
 					}
-					$itemArray[] = array('table'=>$this_table, 'id'=>$this_uid);
+					$itemArray[] = array('table' => $this_table, 'id' => $this_uid);
-					if (!$disabled && $show_thumbs)	{
+					if (!$disabled && $show_thumbs) {
-						$rr = t3lib_BEfunc::getRecordWSOL($this_table,$this_uid);
+						$rr = t3lib_BEfunc::getRecordWSOL($this_table, $this_uid);
-						$imgs[] = '<span class="nobr">'.
+						$imgs[] = '<span class="nobr">' .
-								$this->getClickMenu(
-									t3lib_iconWorks::getSpriteIconForRecord(
-										$this_table,
-										$rr,
-										array(
-											'style' => 'vertical-align:top',
-											'title' => htmlspecialchars(t3lib_BEfunc::getRecordPath($rr['pid'], $perms_clause, 15) . ' [UID: ' . $rr['uid'] . ']')
-										)
-									),
-									$this_table,
-									$this_uid
-								) .
+								  $this->getClickMenu(
+									  t3lib_iconWorks::getSpriteIconForRecord(
+										  $this_table,
+										  $rr,
+										  array(
+											   'style' => 'vertical-align:top',
+											   'title' => htmlspecialchars(t3lib_BEfunc::getRecordPath($rr['pid'], $perms_clause, 15) . ' [UID: ' . $rr['uid'] . ']')
+										  )
+									  ),
+									  $this_table,
+									  $this_uid
+								  ) .
-								'&nbsp;'.
+								  '&nbsp;' .
-								t3lib_BEfunc::getRecordTitle($this_table,$rr,TRUE).' <span class="typo3-dimmed"><em>['.$rr['uid'].']</em></span>'.
+								  t3lib_BEfunc::getRecordTitle($this_table, $rr, TRUE) . ' <span class="typo3-dimmed"><em>[' . $rr['uid'] . ']</em></span>' .
-								'</span>';
+								  '</span>';
 					}
 				}
-				$thumbsnail='';
+				$thumbsnail = '';
-				if (!$disabled && $show_thumbs)	{
+				if (!$disabled && $show_thumbs) {
-					$thumbsnail = implode('<br />',$imgs);
+					$thumbsnail = implode('<br />', $imgs);
 				}
 
 					// Creating the element:
 				$noList = isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'list');
 				$params = array(
 					'size' => $size,
-					'dontShowMoveIcons' => ($maxitems<=1),
+					'dontShowMoveIcons' => ($maxitems <= 1),
-					'autoSizeMax' => t3lib_div::intInRange($config['autoSizeMax'],0),
+					'autoSizeMax' => t3lib_div::intInRange($config['autoSizeMax'], 0),
 					'maxitems' => $maxitems,
-					'style' => isset($config['selectedListStyle']) ? ' style="'.htmlspecialchars($config['selectedListStyle']).'"' : ' style="'.$this->defaultMultipleSelectorStyle.'"',
+					'style' => isset($config['selectedListStyle']) ? ' style="' . htmlspecialchars($config['selectedListStyle']) . '"' : ' style="' . $this->defaultMultipleSelectorStyle . '"',
 					'info' => $info,
 					'thumbnails' => $thumbsnail,
 					'readOnly' => $disabled,
 					'noBrowser' => $noList || (isset($config['disable_controls']) && t3lib_div::inList($config['disable_controls'], 'browser')),
 					'noList' => $noList,
 				);
-				$item.= $this->dbFileIcons($PA['itemFormElName'],'db',implode(',',$tempFT),$itemArray,'',$params,$PA['onFocus'],$table,$field,$row['uid']);
+				$item .= $this->dbFileIcons($PA['itemFormElName'], 'db', implode(',', $tempFT), $itemArray, '', $params, $PA['onFocus'], $table, $field, $row['uid']);
 
 			break;
 		}
 
 			// Wizards:
-		$altItem = '<input type="hidden" name="'.$PA['itemFormElName'].'" value="'.htmlspecialchars($PA['itemFormElValue']).'" />';
+		$altItem = '<input type="hidden" name="' . $PA['itemFormElName'] . '" value="' . htmlspecialchars($PA['itemFormElValue']) . '" />';
 		if (!$disabled) {
-			$item = $this->renderWizards(array($item,$altItem),$config['wizards'],$table,$row,$field,$PA,$PA['itemFormElName'],$specConf);
+			$item = $this->renderWizards(array($item, $altItem), $config['wizards'], $table, $row, $field, $PA, $PA['itemFormElName'], $specConf);
 		}
 
 		return $item;
@@ -2386,12 +2384,12 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeNone($table,$field,$row,&$PA)	{
+	function getSingleField_typeNone($table, $field, $row, &$PA) {
 			// Init:
 		$config = $PA['fieldConf']['config'];
 		$itemValue = $PA['itemFormElValue'];
 
-		return $this->getSingleField_typeNone_render($config,$itemValue);
+		return $this->getSingleField_typeNone_render($config, $itemValue);
 	}
 
 	/**
@@ -2402,54 +2400,60 @@
 	 * @return	string		The HTML code for the display
 	 * @see getSingleField_typeNone();
 	 */
-	function getSingleField_typeNone_render($config,$itemValue)	{
+	function getSingleField_typeNone_render($config, $itemValue) {
 
-				// is colorScheme[0] the right value?
+			// is colorScheme[0] the right value?
-		$divStyle = 'border:solid 1px '.t3lib_div::modifyHTMLColorAll($this->colorScheme[0],-30).';'.$this->defStyle.$this->formElStyle('none').' background-color: '.$this->colorScheme[0].'; padding-left:1px;color:#555;';
+		$divStyle = 'border:solid 1px ' . t3lib_div::modifyHTMLColorAll($this->colorScheme[0], -30) . ';' . $this->defStyle . $this->formElStyle('none') . ' background-color: ' . $this->colorScheme[0] . '; padding-left:1px;color:#555;';
 
-		if ($config['format'])	{
+		if ($config['format']) {
 			$itemValue = $this->formatValue($config, $itemValue);
 		}
 
 		$rows = intval($config['rows']);
 		if ($rows > 1) {
-			if(!$config['pass_content']) {
+			if (!$config['pass_content']) {
 				$itemValue = nl2br(htmlspecialchars($itemValue));
 			}
 				// like textarea
 			$cols = t3lib_div::intInRange($config['cols'] ? $config['cols'] : 30, 5, $this->maxTextareaWidth);
 			if (!$config['fixedRows']) {
 				$origRows = $rows = t3lib_div::intInRange($rows, 1, 20);
-				if (strlen($itemValue)>$this->charsPerRow*2)	{
+				if (strlen($itemValue) > $this->charsPerRow * 2) {
 					$cols = $this->maxTextareaWidth;
-					$rows = t3lib_div::intInRange(round(strlen($itemValue)/$this->charsPerRow),count(explode(LF,$itemValue)),20);
+					$rows = t3lib_div::intInRange(round(strlen($itemValue) / $this->charsPerRow), count(explode(LF, $itemValue)), 20);
-					if ($rows<$origRows)	$rows=$origRows;
+					if ($rows < $origRows) {
+						$rows = $origRows;
-				}
-			}
+					}
+				}
+			}
 
-			if ($this->docLarge)	$cols = round($cols*$this->form_largeComp);
+			if ($this->docLarge) {
+				$cols = round($cols * $this->form_largeComp);
+			}
-			$width = ceil($cols*$this->form_rowsToStylewidth);
+			$width = ceil($cols * $this->form_rowsToStylewidth);
 				// hardcoded: 12 is the height of the font
-			$height=$rows*12;
+			$height = $rows * 12;
 
-			$item='
+			$item = '
-				<div style="'.htmlspecialchars($divStyle.' overflow:auto; height:'.$height.'px; width:'.$width.'px;').'" class="'.htmlspecialchars($this->formElClass('none')).'">'.
+				<div style="' . htmlspecialchars($divStyle . ' overflow:auto; height:' . $height . 'px; width:' . $width . 'px;') . '" class="' . htmlspecialchars($this->formElClass('none')) . '">' .
-				$itemValue.
+					$itemValue .
-				'</div>';
+					'</div>';
 		} else {
-			if(!$config['pass_content']) {
+			if (!$config['pass_content']) {
 				$itemValue = htmlspecialchars($itemValue);
 			}
 
-			$cols = $config['cols']?$config['cols']:($config['size']?$config['size']:$this->maxInputWidth);
+			$cols = $config['cols'] ? $config['cols'] : ($config['size'] ? $config['size'] : $this->maxInputWidth);
-			if ($this->docLarge)	$cols = round($cols*$this->form_largeComp);
+			if ($this->docLarge) {
+				$cols = round($cols * $this->form_largeComp);
+			}
-			$width = ceil($cols*$this->form_rowsToStylewidth);
+			$width = ceil($cols * $this->form_rowsToStylewidth);
 
 				// overflow:auto crashes mozilla here. Title tag is usefull when text is longer than the div box (overflow:hidden).
 			$item = '
-				<div style="'.htmlspecialchars($divStyle.' overflow:hidden; width:'.$width.'px;').'" class="'.htmlspecialchars($this->formElClass('none')).'" title="'.$itemValue.'">'.
+				<div style="' . htmlspecialchars($divStyle . ' overflow:hidden; width:' . $width . 'px;') . '" class="' . htmlspecialchars($this->formElClass('none')) . '" title="' . $itemValue . '">' .
-				'<span class="nobr">'.(strcmp($itemValue,'')?$itemValue:'&nbsp;').'</span>'.
+					'<span class="nobr">' . (strcmp($itemValue, '') ? $itemValue : '&nbsp;') . '</span>' .
-				'</div>';
+					'</div>';
 		}
 
 		return $item;
